Bug 250720 - pidgin-2.1.0-1.fc7 doesn't require new libpurple
pidgin-2.1.0-1.fc7 doesn't require new libpurple
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 02:50 EDT by Leszek Matok
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.1.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-20 10:52:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leszek Matok 2007-08-03 02:50:36 EDT
Currently I can (and did) update pidgin to 2.1.0-fc7, but leave libpurple at
2.0.2-3.fc7. This leads to:
$ pidgin
libnm_glib_nm_state_cb: dbus returned an error.
  (org.freedesktop.DBus.Error.ServiceUnknown) The name
org.freedesktop.NetworkManager was not provided by any .service files
/usr/share/themes/Clearlooks-Nuvola/gtk-2.0/gtkrc:46: Clearlooks configuration
option "menuitemstyle" is not supported and will be ignored.
/usr/share/themes/Clearlooks-Nuvola/gtk-2.0/gtkrc:47: Clearlooks configuration
option "listviewitemstyle" is not supported and will be ignored.
/usr/share/themes/Clearlooks-Nuvola/gtk-2.0/gtkrc:48: Clearlooks configuration
option "progressbarstyle" is not supported and will be ignored.
pidgin: symbol lookup error: pidgin: undefined symbol:
purple_core_ensure_single_instance

Pidgin should require new libpurple (either with soname change or simply with
versioned package dependency instead of depending on libpurple.so.0).

This should be resolved before new Pidgin leaves updates-testing. Thanks.

Note You need to log in before you can comment on or make changes to this bug.